PTFs required for updated CAAXSAMP install JCL members

Document ID : KB000104975
Last Modified Date : 06/07/2018
Show Technical Document Details
Introduction:
As per the documentation given by your team, it says that we need to apply all published Datacom/AD PTFs.
These provide updated CAAXSAMP install JCL members. 
These PTFs are not currently applied in our newly established Target library (R15).
So, do we need to download and apply these PTFs as a part of our upgrade (from R12 to R15) or not?
If yes, can we apply them now? We have already run the APPLY job and are now heading towards the customization process.
Environment:
z/os, CA Datacom/AD 15.0
Instructions:
Yes, it is a good practice (or even a requirement) to apply all UPGRADE jobs/members related to CAAXSAMP coming via APARs.
All these APARs need to be applied prior upgrading, even if these APARs are not related to your case.

For example  APAR #RO95838  which  removes members  AXACTDYN and AXACTDYR.
These members involved in that APAR are not needed anyway when upgrading from CA Datacom/AD 12.0 to 15.0. 

It is a good practice to apply them all in case your installation library will be used later for another different upgrade. 
That practice may prevent confusion and errors.
Additional Information:
Reference:
 https://ca--c.na60.visual.force.com/apex/CustomKnowledgeEdit?articleId=ka00c000000ykObAAI
"How do I upgrade from Datacom/AD 10.0/11.0/12.0 to Datacom/AD 15.0?"